%define	_requires_exceptions  pear(tests/HTTP_Request2/NetworkConfig.php)\\|pear(PHPUnit/Framework.php)
%define upstream_name HTTP_Request2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.0
Release:     	%mkrel 3
Summary:    	Provides an easy way to perform HTTP requests
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTTP_Request2-%{version}.tgz
URL: 		http://pear.php.net/package/HTTP_Request2
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Net_URL2 >= 2.0.0
Requires:	php-pear >= 1.5.4
BuildArch: 	noarch

%description
PHP5 rewrite of HTTP_Request package (with parts of HTTP_Client). Provides
cleaner API and pluggable Adapters:
  * Socket adapter, based on old HTTP_Request code,
  * Curl adapter, wraps around PHP's cURL extension,
  * Mock adapter, to use for testing packages dependent on HTTP_Request2.
Supports POST requests with data and file uploads, basic and digest 
authentication, cookies, managing cookies across requests, proxies, gzip
and
deflate encodings, redirects, monitoring the request progress with
Observers...

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_Request2.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_Request2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_Request2
fi

%files
%defattr(-,root,root)
%doc docs/HTTP_Request2/*
%{peardir}/*
%{xmldir}/HTTP_Request2.xml


%changelog

* Sun Jan 15 2012 spuhler <spuhler> 2.0.0-3.mga2
+ Revision: 196209
- added exceptions pear(PHPUnit/Framework.php)

* Sat Jan 14 2012 spuhler <spuhler> 2.0.0-2.mga2
+ Revision: 196181
- added requires exception for missing file

* Sat Jan 14 2012 spuhler <spuhler> 2.0.0-1.mga2
+ Revision: 196052
- imported package php-pear-HTTP_Request2

